require 'rails/railtie'
require 'action_view/log_subscriber'
require 'action_controller/log_subscriber'

module NorscanLogger
  class Railtie < Rails::Railtie
    config.norscan_logger = ActiveSupport::OrderedOptions.new
    config.norscan_logger.enabled = false

    config.after_initialize do |app|
      NorscanLogger.setup(app) if app.config.norscan_logger.enabled
    end
  end
end